<?php
namespace wcf\system\option\user;
use wcf\data\user\option\UserOption;
use wcf\data\user\User;
use wcf\system\WCF;
use wcf\util\CryptoUtil;
use wcf\system\request\LinkHandler;
use wcf\util\JSON;
use wcf\util\StringUtil;
/**
 * @author      Simon
 * @license     GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @copyright   2018
 * @package     net.simon-dev.cpuzprofile
 */
class CPUZUserOptionOutput implements IUserOptionOutput {
    	public function getOutput(User $user, UserOption $option, $value) {
		if (empty($value)) return '';
		
	    $result = '';
		$src = StringUtil::encodeHTML('https://valid.x86.fr/cache/screenshot/'.$value.'.png');
		$url = StringUtil::encodeHTML('https://valid.x86.fr/'.$value);
		$value = StringUtil::encodeHTML($value);
		$user = StringUtil::encodeHTML($user);
		
		if(MODULE_IMAGE_PROXY) {
            //try to get result via image proxy
            try {
                $linkKey = CryptoUtil::createSignedString($src);
                $url = LinkHandler::getInstance()->getLink('ImageProxy', [
                    'key' => $linkKey
                ]);
                $result .= '<img class="media" src="'.$url.'"/>';
            } catch (\Exception $e) {
                $result = ''; //TODO, add message, that image not be loaded
            }
        } else {
            $result = '<img class="media" src="'.$src.'"/>';
        }

        //return result
        return '<a class="jsTooltip jsStaticDialog" data-dialog-id="dialogCPUZ-'. $user.'" title="'.WCF::getLanguage()->get('wcf.global.cpuz.profile.link'). $user.'">'.$value.'</a>
		<div id="dialogCPUZ-'. $user .'" class="jsStaticDialogContent CPUZ" style="display: none" data-title="'.WCF::getLanguage()->get('wcf.global.cpuz.preview.title'). $user.'">
  '.$result.'<div id="CPUZlink">'.WCF::getLanguage()->get('wcf.global.cpuz.profile.link'). $user.': <a href="'.$url.'" class="externalURL" rel="nofollow" target="_blank">'.$value.'</a></div></div>';
	}
}